Subject: bug#61667: 29.0.60; Failure to redisplay

From: Dmitry Gutov <[email-masked]>
Date: Sun, 26 Feb 2023 17:50:22 +0200

On 26/02/2023 17:00, Eli Zaretskii wrote:
>> Date: Sun, 26 Feb 2023 16:42:43 +0200
>> Cc: [email-masked], [email-masked], [email-masked]
>> From: Dmitry Gutov <[email-masked]>
>>
>> On 26/02/2023 15:44, Eli Zaretskii wrote:
>>> from the time Emacs starts and until Emacs sends the
>>> XFlush to the X server
>>
>>   From the time I press 'a', right? Not from the time Emacs start.
> 
> I don't think it matters.  From the start is easier, I think.

Emacs itself takes around a second to start. Then there is time between 
that and me hitting 'a' which depends on the human reflexes (the latency 
there should be on the order of 100ms too). If I don't wait for the 
startup to finish before pressing 'a', then the problem doesn't show up 
either, so I do have to wait.

So measuring from Emacs start might give pretty unreliable numbers. But 
anyway, let's try measuring something, and I'll see if I can hit buttons 
with predictable timings.